Get Folder Tree from Path
Retrieves a folder tree starting from a specific folder Deprecated: use GET /api/v2/{team_slug}/{app_slug}/dam/folders/{folder_id}/tree instead.
GET
/api/v1/{team_slug}/{app_slug}/dam/folders/{folder_id}/treedeprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
folder_idstringrequiredFolder ID
Responses
200
Folder tree retrieved successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.FolderTreerequiredShow propertiesHide properties
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.FolderTree[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.FolderTreeCircular reference to
github_com_enadhq_nabbit_internal_pkg_webserver_models.FolderTree.foldergithub_com_enadhq_nabbit_internal_pkg_webserver_models.FolderShow propertiesHide properties
created_atstringfile_countintegerhas_content_accessbooleanidstringimage_countintegeris_defaultbooleannamestringparent_idstring | nullpublicbooleanslugstringupdated_atstringvideo_countintegerdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Folder not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired